Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
List of all members
Ipopt::ZeroMatrix Class Reference

Class for Matrices with only zero entries. More...

`#include <IpZeroMatrix.hpp>`

Inheritance diagram for Ipopt::ZeroMatrix:
[legend]

## Public Member Functions
Constructors / Destructors
| ZeroMatrix (const MatrixSpace *owner_space)
| Constructor, taking the corresponding matrix space. More...
| ~ZeroMatrix ()
| Destructor. More...
Public Member Functions inherited from Ipopt::Matrix
bool | HasValidNumbers () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan). More...
SmartPtr< const MatrixSpace > | OwnerSpace () const
| Return the owner MatrixSpace. More...
| Matrix (const MatrixSpace *owner_space)
| Constructor. More...
virtual | ~Matrix ()
| Destructor. More...
void | MultVector (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix-vector multiply. More...
void | TransMultVector (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix(transpose) vector multiply. More...
void | AddMSinvZ (Number alpha, const Vector &S, const Vector &Z, Vector &X) const
| X = X + alpha*(Matrix S^{-1} Z). More...
void | SinvBlrmZMTdBr (Number alpha, const Vector &S, const Vector &R, const Vector &Z, const Vector &D, Vector &X) const
| X = S^{-1} (r + alpha*Z*M^Td). More...
Index | NRows () const
| Number of rows. More...
Index | NCols () const
| Number of columns. More...
void | ComputeRowAMax (Vector &rows_norms, bool init=true) const
| Compute the max-norm of the rows in the matrix. More...
void | ComputeColAMax (Vector &cols_norms, bool init=true) const
| Compute the max-norm of the columns in the matrix. More...
virtual void | Print (SmartPtr< const Journalist > jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
| Print detailed information about the matrix. More...
virtual void | Print (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent=0, const std::string &prefix="") const
Public Member Functions inherited from Ipopt::TaggedObject
| TaggedObject ()
| Constructor. More...
virtual | ~TaggedObject ()
| Destructor. More...
Tag | GetTag () const
| Users of TaggedObjects call this to update their own internal tags every time they perform the expensive operation. More...
bool | HasChanged (const Tag comparison_tag) const
| Users of TaggedObjects call this to check if the object HasChanged since they last updated their own internal tag. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const
Public Member Functions inherited from Ipopt::Subject
| Subject ()
| Default Constructor. More...
virtual | ~Subject ()
| Default destructor. More...
void | AttachObserver (Observer::NotifyType notify_type, Observer *observer) const
| Attach the specified observer (i.e., begin recieving notifications). More...
void | DetachObserver (Observer::NotifyType notify_type, Observer *observer) const
| Detach the specified observer (i.e., no longer recieve notifications). More...

## Protected Member Functions
Methods overloaded from matrix
virtual void | MultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix-vector multiply. More...
virtual void | TransMultVectorImpl (Number alpha, const Vector &x, Number beta, Vector &y) const
| Matrix(transpose) vector multiply. More...
virtual void | ComputeRowAMaxImpl (Vector &rows_norms, bool init) const
| Compute the max-norm of the rows in the matrix. More...
virtual void | ComputeColAMaxImpl (Vector &cols_norms, bool init) const
| Compute the max-norm of the columns in the matrix. More...
virtual void | PrintImpl (const Journalist &jnlst, EJournalLevel level, EJournalCategory category, const std::string &name, Index indent, const std::string &prefix) const
| Print detailed information about the matrix. More...
Protected Member Functions inherited from Ipopt::Matrix
virtual void | AddMSinvZImpl (Number alpha, const Vector &S, const Vector &Z, Vector &X) const
| X = X + alpha*(Matrix S^{-1} Z). More...
virtual void | SinvBlrmZMTdBrImpl (Number alpha, const Vector &S, const Vector &R, const Vector &Z, const Vector &D, Vector &X) const
| X = S^{-1} (r + alpha*Z*M^Td). More...
virtual bool | HasValidNumbersImpl () const
| Method for determining if all stored numbers are valid (i.e., no Inf or Nan). More...
Protected Member Functions inherited from Ipopt::TaggedObject
void | ObjectChanged ()
| Objects derived from TaggedObject MUST call this method every time their internal state changes to update the internal tag for comparison. More...
Protected Member Functions inherited from Ipopt::Subject
void | Notify (Observer::NotifyType notify_type) const

## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| ZeroMatrix ()
| Default Constructor. More...
| ZeroMatrix (const ZeroMatrix &)
| Copy Constructor. More...
void | operator= (const ZeroMatrix &)
| Overloaded Equals Operator. More...

## Additional Inherited Members
Public Types inherited from Ipopt::TaggedObject
typedef unsigned int | Tag
| Type for the Tag values. More...

## Detailed Description

Class for Matrices with only zero entries.

Definition at line 20 of file IpZeroMatrix.hpp.

## Constructor & Destructor Documentation

Ipopt::ZeroMatrix::ZeroMatrix | ( | const MatrixSpace * | owner_space | ) |

Constructor, taking the corresponding matrix space.

Ipopt::ZeroMatrix::~ZeroMatrix | ( |  | ) |

Destructor.

Ipopt::ZeroMatrix::ZeroMatrix | ( |  | ) |
| private

Default Constructor.

Ipopt::ZeroMatrix::ZeroMatrix | ( | const ZeroMatrix & |  | ) |
| private

Copy Constructor.

## Member Function Documentation

virtual void Ipopt::ZeroMatrix::MultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y
| ) |  | const
| protected virtual

Matrix-vector multiply.

Computes y = alpha * Matrix * x + beta * y

Implements Ipopt::Matrix.

virtual void Ipopt::ZeroMatrix::TransMultVectorImpl | ( | Number | alpha,
|  | const Vector & | x,
|  | Number | beta,
|  | Vector & | y
| ) |  | const
| protected virtual

Matrix(transpose) vector multiply.

Computes y = alpha * Matrix^T * x + beta * y

Implements Ipopt::Matrix.

virtual void Ipopt::ZeroMatrix::ComputeRowAMaxImpl | ( | Vector & | rows_norms,
|  | bool | init
| ) |  | const
| inline protected virtual

Compute the max-norm of the rows in the matrix.

The result is stored in rows_norms. The vector is assumed to be initialized.

Implements Ipopt::Matrix.

Definition at line 44 of file IpZeroMatrix.hpp.

virtual void Ipopt::ZeroMatrix::ComputeColAMaxImpl | ( | Vector & | cols_norms,
|  | bool | init
| ) |  | const
| inline protected virtual

Compute the max-norm of the columns in the matrix.

The result is stored in cols_norms. The vector is assumed to be initialized.

Implements Ipopt::Matrix.

Definition at line 47 of file IpZeroMatrix.hpp.

virtual void Ipopt::ZeroMatrix::PrintImpl | ( | const Journalist & | jnlst,
|  | EJournalLevel | level,
|  | EJournalCategory | category,
|  | const std::string & | name,
|  | Index | indent,
|  | const std::string & | prefix
| ) |  | const
| protected virtual

Print detailed information about the matrix.

Implements Ipopt::Matrix.

void Ipopt::ZeroMatrix::operator= | ( | const ZeroMatrix & |  | ) |
| private

Overloaded Equals Operator.

The documentation for this class was generated from the following file:

- src/LinAlg/IpZeroMatrix.hpp